declare const _default: import('vue').DefineComponent<
  {
    id: {
      type: import('vue').PropType<string>
    }
    modelValue: {
      type: import('vue').PropType<import('../../types/flow').Elements<any, any>>
    }
    nodes: {
      type: import('vue').PropType<import('../..').Node<any>[]>
    }
    edges: {
      type: import('vue').PropType<import('../..').Edge<any>[]>
    }
    edgeTypes: {
      type: import('vue').PropType<
        {
          default?: import('../..').EdgeComponent<any> | undefined
          straight?: import('../..').EdgeComponent<any> | undefined
          smoothstep?: import('../..').EdgeComponent<any> | undefined
          step?: import('../..').EdgeComponent<any> | undefined
          simplebezier?: import('../..').EdgeComponent<any> | undefined
        } & {
          [key: string]: import('../..').EdgeComponent<any>
        }
      >
    }
    nodeTypes: {
      type: import('vue').PropType<
        {
          default?: import('../..').NodeComponent<any> | undefined
          input?: import('../..').NodeComponent<any> | undefined
          output?: import('../..').NodeComponent<any> | undefined
        } & {
          [key: string]: import('../..').NodeComponent<any>
        }
      >
    }
    connectionMode: {
      type: import('vue').PropType<import('../..').ConnectionMode>
    }
    connectionLineType: {
      type: import('vue').PropType<import('../..').ConnectionLineType>
    }
    connectionLineStyle: {
      type: import('vue').PropType<import('vue').CSSProperties | null>
    } & {
      default: null
    }
    deleteKeyCode: {
      type: import('vue').PropType<import('../..').KeyCode>
    }
    selectionKeyCode: {
      type: import('vue').PropType<import('../..').KeyCode>
    }
    multiSelectionKeyCode: {
      type: import('vue').PropType<import('../..').KeyCode>
    }
    zoomActivationKeyCode: {
      type: import('vue').PropType<import('../..').KeyCode>
    }
    snapToGrid: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    snapGrid: {
      type: import('vue').PropType<import('../../types/flow').SnapGrid>
    }
    onlyRenderVisibleElements: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    edgesUpdatable: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    nodesDraggable: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    nodesConnectable: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    elementsSelectable: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    selectNodesOnDrag: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    panOnDrag: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    minZoom: {
      type: import('vue').PropType<number>
    }
    maxZoom: {
      type: import('vue').PropType<number>
    }
    defaultZoom: {
      type: import('vue').PropType<number>
    }
    defaultPosition: {
      type: import('vue').PropType<[number, number]>
    }
    translateExtent: {
      type: import('vue').PropType<import('../..').CoordinateExtent>
    }
    nodeExtent: {
      type: import('vue').PropType<import('../..').CoordinateExtent>
    }
    defaultMarkerColor: {
      type: import('vue').PropType<string>
    }
    zoomOnScroll: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    zoomOnPinch: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    panOnScroll: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    panOnScrollSpeed: {
      type: import('vue').PropType<number>
    }
    panOnScrollMode: {
      type: import('vue').PropType<import('../..').PanOnScrollMode>
    }
    zoomOnDoubleClick: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    preventScrolling: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    edgeUpdaterRadius: {
      type: import('vue').PropType<number>
    }
    fitViewOnInit: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    connectOnClick: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    applyDefault: {
      type: import('vue').PropType<boolean>
    } & {
      default: undefined
    }
    noDragClassName: {
      type: import('vue').PropType<string>
    }
    noWheelClassName: {
      type: import('vue').PropType<string>
    }
    noPanClassName: {
      type: import('vue').PropType<string>
    }
    defaultEdgeOptions: {
      type: import('vue').PropType<import('../..').DefaultEdgeOptions>
    }
  },
  () => void,
  unknown,
  {},
  {},
  import('vue').ComponentOptionsMixin,
  import('vue').ComponentOptionsMixin,
  string[],
  string,
  import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps,
  Readonly<
    import('vue').ExtractPropTypes<{
      id: {
        type: import('vue').PropType<string>
      }
      modelValue: {
        type: import('vue').PropType<import('../../types/flow').Elements<any, any>>
      }
      nodes: {
        type: import('vue').PropType<import('../..').Node<any>[]>
      }
      edges: {
        type: import('vue').PropType<import('../..').Edge<any>[]>
      }
      edgeTypes: {
        type: import('vue').PropType<
          {
            default?: import('../..').EdgeComponent<any> | undefined
            straight?: import('../..').EdgeComponent<any> | undefined
            smoothstep?: import('../..').EdgeComponent<any> | undefined
            step?: import('../..').EdgeComponent<any> | undefined
            simplebezier?: import('../..').EdgeComponent<any> | undefined
          } & {
            [key: string]: import('../..').EdgeComponent<any>
          }
        >
      }
      nodeTypes: {
        type: import('vue').PropType<
          {
            default?: import('../..').NodeComponent<any> | undefined
            input?: import('../..').NodeComponent<any> | undefined
            output?: import('../..').NodeComponent<any> | undefined
          } & {
            [key: string]: import('../..').NodeComponent<any>
          }
        >
      }
      connectionMode: {
        type: import('vue').PropType<import('../..').ConnectionMode>
      }
      connectionLineType: {
        type: import('vue').PropType<import('../..').ConnectionLineType>
      }
      connectionLineStyle: {
        type: import('vue').PropType<import('vue').CSSProperties | null>
      } & {
        default: null
      }
      deleteKeyCode: {
        type: import('vue').PropType<import('../..').KeyCode>
      }
      selectionKeyCode: {
        type: import('vue').PropType<import('../..').KeyCode>
      }
      multiSelectionKeyCode: {
        type: import('vue').PropType<import('../..').KeyCode>
      }
      zoomActivationKeyCode: {
        type: import('vue').PropType<import('../..').KeyCode>
      }
      snapToGrid: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      snapGrid: {
        type: import('vue').PropType<import('../../types/flow').SnapGrid>
      }
      onlyRenderVisibleElements: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      edgesUpdatable: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      nodesDraggable: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      nodesConnectable: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      elementsSelectable: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      selectNodesOnDrag: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      panOnDrag: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      minZoom: {
        type: import('vue').PropType<number>
      }
      maxZoom: {
        type: import('vue').PropType<number>
      }
      defaultZoom: {
        type: import('vue').PropType<number>
      }
      defaultPosition: {
        type: import('vue').PropType<[number, number]>
      }
      translateExtent: {
        type: import('vue').PropType<import('../..').CoordinateExtent>
      }
      nodeExtent: {
        type: import('vue').PropType<import('../..').CoordinateExtent>
      }
      defaultMarkerColor: {
        type: import('vue').PropType<string>
      }
      zoomOnScroll: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      zoomOnPinch: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      panOnScroll: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      panOnScrollSpeed: {
        type: import('vue').PropType<number>
      }
      panOnScrollMode: {
        type: import('vue').PropType<import('../..').PanOnScrollMode>
      }
      zoomOnDoubleClick: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      preventScrolling: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      edgeUpdaterRadius: {
        type: import('vue').PropType<number>
      }
      fitViewOnInit: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      connectOnClick: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      applyDefault: {
        type: import('vue').PropType<boolean>
      } & {
        default: undefined
      }
      noDragClassName: {
        type: import('vue').PropType<string>
      }
      noWheelClassName: {
        type: import('vue').PropType<string>
      }
      noPanClassName: {
        type: import('vue').PropType<string>
      }
      defaultEdgeOptions: {
        type: import('vue').PropType<import('../..').DefaultEdgeOptions>
      }
    }>
  > & {
    [x: string & `on${string}`]: ((...args: any[]) => any) | undefined
  },
  {
    connectionLineStyle: import('vue').CSSProperties | null
    snapToGrid: boolean
    onlyRenderVisibleElements: boolean
    edgesUpdatable: boolean
    nodesDraggable: boolean
    nodesConnectable: boolean
    elementsSelectable: boolean
    selectNodesOnDrag: boolean
    panOnDrag: boolean
    zoomOnScroll: boolean
    zoomOnPinch: boolean
    panOnScroll: boolean
    zoomOnDoubleClick: boolean
    preventScrolling: boolean
    fitViewOnInit: boolean
    connectOnClick: boolean
    applyDefault: boolean
  }
>
export default _default
